Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1684706 - Error when uploading a manifest file on the disconnected Satellite Server
Summary: Error when uploading a manifest file on the disconnected Satellite Server
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4.0
Hardware: x86_64
OS: Linux
unspecified
unspecified vote
Target Milestone: 6.4.3
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 21:52 UTC by Mike McCune
Modified: 2019-04-09 13:29 UTC (History)
12 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.51-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1663021
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25834 None None None 2019-03-08 19:20:12 UTC

Comment 2 jcallaha 2019-04-09 13:29:29 UTC
Verified in Satellite 6.4.3 Snap 1

After putting the satellite in disconnected mode (Administer -> Settings), the upload via hammer completed successfully.

-bash-4.2# hammer subscription upload --file good-manifest.zip --organization-id 1
warning: Overriding "Content-Type" header "multipart/form-data" with "multipart/form-data; boundary=----RubyFormBoundary1fpHWwABtAU8GZxU" due to payload
[...............................................................................................................................................] [100%]
-bash-4.2#


Note You need to log in before you can comment on or make changes to this bug.